svn commit: r307205 - head/contrib/netbsd-tests/fs/tmpfs

Ngie Cooper ngie at FreeBSD.org
Thu Oct 13 08:35:10 UTC 2016


Author: ngie
Date: Thu Oct 13 08:35:08 2016
New Revision: 307205
URL: https://svnweb.freebsd.org/changeset/base/307205

Log:
  Change atf_skip call to atf_expect_fail to make it clear that a failure is
  expected
  
  MFC after:	2 weeks
  PR:		212861
  Suggested by:	jmmv
  Sponsored by:	Dell EMC Isilon

Modified:
  head/contrib/netbsd-tests/fs/tmpfs/t_remove.sh

Modified: head/contrib/netbsd-tests/fs/tmpfs/t_remove.sh
==============================================================================
--- head/contrib/netbsd-tests/fs/tmpfs/t_remove.sh	Thu Oct 13 08:27:19 2016	(r307204)
+++ head/contrib/netbsd-tests/fs/tmpfs/t_remove.sh	Thu Oct 13 08:35:08 2016	(r307205)
@@ -46,7 +46,18 @@ single_body() {
 	test_unmount
 }
 
+# Begin FreeBSD
+if true; then
+atf_test_case uchg cleanup
+uchg_cleanup() {
+	Mount_Point=$(pwd)/mntpt test_unmount || :
+}
+else
+# End FreeBSD
 atf_test_case uchg
+# Begin FreeBSD
+fi
+# End FreeBSD
 uchg_head() {
 	atf_set "descr" "Checks that files with the uchg flag set cannot" \
 	                "be removed"
@@ -54,7 +65,7 @@ uchg_head() {
 }
 uchg_body() {
 	# Begin FreeBSD
-	atf_skip "this fails on FreeBSD with root - bug 212861"
+	atf_expect_fail "this fails on FreeBSD with root - bug 212861"
 	# End FreeBSD
 
 	test_mount


More information about the svn-src-head mailing list